# PODNAME: Config::Model::models::Dpkg::Upstream::Metadata::Reference
# ABSTRACT:  Configuration class Dpkg::Upstream::Metadata::Reference

=encoding utf8

=head1 NAME

Config::Model::models::Dpkg::Upstream::Metadata::Reference - Configuration class Dpkg::Upstream::Metadata::Reference

=head1 DESCRIPTION

Configuration classes used by L<Config::Model>

One or more bibliographic references, represented as a mapping or sequence of mappings containing the one or more of the following keys. The values for the keys are always scalars, and the keys that correspond to standard BibTeX entries must provide the same content.

For more details, see L<https://dep-team.pages.debian.net/deps/dep12/>



=head1 Elements

=head2 Author

Author list in BibTeX friendly syntax (separating multiple authors by the keyword "and" and using as few as possible abbreviations in the names, as proposed in L<http://nwalsh.com/tex/texhelp/bibtx-23.html>). I< Optional. Type string.  > 

=head2 Booktitle

Title of the book the article is published in. I< Optional. Type uniline.  > 

=head2 DOI

This is the digital object identifier of the academic publication describing the packaged work. I< Optional. Type uniline.  > 

=head2 Editor

Editor of the book the article is published in. I< Optional. Type uniline.  > 

=head2 Eprint

Hyperlink to the PDF file of the article. I< Optional. Type uniline.  > 

=head2 ISBN

International Standard Book Number of the book if the article is part of the book or the reference is a book. I< Optional. Type uniline.  > 

=head2 ISSN

International Standard Serial Number of the periodical publication if the article is part of a series. I< Optional. Type uniline.  > 

=head2 Journal

Abbreviated journal name [To be discussed: which standard to recommend ?]. I< Optional. Type uniline.  > 

=head2 Number

Issue number. I< Optional. Type uniline.  > 

=head2 Pages

Article page number(s). [To be discussed] Page number separator must be a single ASCII hyphen. What do we do with condensed notations like 401-10 ? I< Optional. Type uniline.  > 

=head2 PMID

ID number in the L<https://www.ncbi.nlm.nih.gov/pubmed/> database. I< Optional. Type uniline.  > 

=head2 Publisher

Publisher of the book containing the article. I< Optional. Type uniline.  > 

=head2 Title

Article title. I< Optional. Type uniline.  > 

=head2 Type

A L<http://www.bibtex.org/Format> indicating what is cited. Typical values are C<article>, C<book>, or C<inproceedings>. [To be discussed]. In case this field is not present, C<article> is assumed. I< Optional. Type uniline.  > 

=head2 URL

Hyperlink to the abstract of the article. This should not point to the full version because this is specified by Eprint. Please also do not drop links to pubmed here because this would be redundant to PMID. I< Optional. Type uniline.  > 

=head2 Volume

Journal volume. I< Optional. Type uniline.  > 

=head2 Year

Year of publication. I< Optional. Type uniline.  > 

=head1 SEE ALSO

=over

=item *

L<cme>

=back

=head1 AUTHOR

=over

=item Dominique Dumont


=back

=head1 COPYRIGHT

=over

=item 2025, Dominique Dumont


=back

=cut

